Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.transform.powerassert
Class AssertionVerifier

    java.lang.Object
      org.codehaus.groovy.transform.powerassert.AssertionVerifier

    public abstract class AssertionVerifier

extends Object

Verifies that assertions hold, throwing a PowerAssertionError otherwise. Only meant to be called from code generated by the transformation.

Author:
  Peter Niederwieser

Field Summary
`static String` | `VERIFY_METHOD_NAME`

Constructor Summary
`AssertionVerifier()`

Method Summary
`static void` | `verify(Object truthValue, String text, ValueRecorder recorder)` Verifies that the given value is true according to Groovy truth, throwing a PowerAssertionError with a cleaned-up stacktrace and helpful detail message otherwise.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERIFY_METHOD_NAME

    public static final String VERIFY_METHOD_NAME

See Also:
  Constant Field Values

Constructor Detail

### AssertionVerifier

    public AssertionVerifier()

Method Detail

### verify

    public static void verify(Object truthValue,
                              String text,
                              ValueRecorder recorder)

  Verifies that the given value is true according to Groovy truth, throwing a PowerAssertionError with a cleaned-up stacktrace and helpful detail message otherwise.

  Parameters:
    `truthValue` - the value of an assertion's truth expression
    `text` - the source text of the assertion
    `recorder` - a ValueRecorder used for rendering failed assertions

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD